%define name	kups
%define version 0.8
%define release 24mdk
%define qtdir	/usr/lib/qt2

Summary :	A KDE-based printer administration tool for CUPS
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Publishing

Source:		http://sourceforge.net/projects/cups/%{name}-%{version}cvs.tar.bz2

URL:		http://sourceforge.net/projects/cups
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	cups >= 1.1 qt2 >= 2.1 kdelibs, qtcups
BuildRequires:	qtcups-devel

%package devel
Summary:	Development files for usage of the kupsdconf library
Group:		Development/C
 
%description
A KDE-based frontend for administration of printers running under CUPS
(Common Unix Printing System). One gets a list of all available local
and remote printers, their settings, and their jobs and one can
configure the printers (including head adjustment and colour
calibration for many models), print test pages, kill jobs, install new
printers, and remove undesired ones. The installing of new printers is
done by a wizard which asks for all necessary data and even does
autodetection of the printers.

In addition, there is the "kupsdconf" utility, a KDE based frontend
for setting up all options of the CUPS daemon, defined in
the/etc/cups/cupsd.conf file. So it is easy to choose the users/groups
who are allowed to do printer administration, to restrict
thebroadcasting of printer information to selected machines or
subnets, and so on.

%description devel
This package contains the files needed to compile programs using the
kupsdconf library. This library provides a KDE-based dialog to
configure the options of the CUPS daemon stored in
/etc/cups/cupsd.conf.

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup
touch `find . -type f`

%build
# These compiler options are NEEDED otherwise KUPS does not compile
export CXXFLAGS="${CXXFLAGS:-%optflags} -DNO_DEBUG -fno-exceptions -fno-check-new"; ./configure --prefix=%{_prefix} --with-install-root=$RPM_BUILD_ROOT --enable-qt2 --with-qt-dir=/usr/lib/qt2 --disable-qt-debug --disable-rpath
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 AUTHORS COPYING ChangeLog INSTALL NEWS README TODO $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# Link to CUPS test page to avoid having two equal files
rm -f $RPM_BUILD_ROOT/usr/share/apps/kups/testprint.ps
ln -s /usr/share/cups/data/testprint.ps $RPM_BUILD_ROOT/usr/share/apps/kups/testprint.ps

##menus created
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/kups
?package(kups): needs=X11 \
section=Configuration/Printing \
title="Kups - CUPS Admin" \
command="/usr/bin/kups" \
icon="/usr/share/icons/locolor/16x16/apps/kups.xpm"
?package(kups): needs=X11 \
section=Configuration/Printing \
title="Kupsdonf - CUPS Daemon Configurator" \
command="/usr/bin/kdesu /usr/bin/kupsdconf" \
icon="/usr/share/icons/locolor/16x16/apps/kups.xpm"
EOF

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%_bindir/*
%_menudir/*
%_datadir/apps/kups/*
%doc %_docdir/HTML/en/kups
%doc %_docdir/%name-%version
%_iconsdir/locolor/16x16/apps/*
%_iconsdir/locolor/32x32/apps/*
%_libdir/libkupsdconf.so.1
%_libdir/libkupsdconf.so.1.0.0

%files devel
%defattr(-,root,root)
%_includedir/*.h
%_libdir/*.la
%_libdir/*.so                                              

%changelog
* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.8-24mdk
- BuildRequires: qtcups-devel
- %%update_menus & %%clean_menus
- Remove filelist
- Fix menu

* Tue Oct 17 2000 Till Kamppeter <till@mandrakesoft.com> 0.8-23mdk
- Updated for new kdelibs - KDE 2.0 final!

* Fri Oct 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-22mdk
- Updated for new kdelibs                               

* Mon Oct 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-21mdk
- Updated for new kdelibs - Release Candidate 1

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-20mdk
- Updated for new kdelibs

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-19mdk
- Updated for new kdelibs

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 0.8-18mdk
- CVS update: Now the "ShortNickName" instead of the "ModelName" from the PPD file is shown on the model selection screen

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 0.8-17mdk
- Moved devel files to an extra devel package
- Replaced test page by a link to the CUPS test page
- CVS update: Configuration dialog for /etc/cups/cupsd.conf,
  new layout, support for CUPS-O-MATIC numerical options

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-16mdk
- Updated for new kdelibs

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-15mdk
- Updated for new kdelibs

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-14mdk
- Updated for new kdelibs

* Tue Sep 19 2000 Till Kamppeter <till@mandrakesoft.com> 0.8-13mdk
- Compiled without -fno-rtti (using the keyboard in KUPS made it crashing)

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-12mdk
- Updated for new kdelibs

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-11mdk
- Updated for new kdelibs

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-10mdk
- Updated for new kdelibs

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-9mdk
- Updated for new kdelibs

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-8mdk
- Updated for new kdelibs

* Wed Sep 06 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.8-7mdk
- CVS update:
    - class properties editing

* Tue Sep 05 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.8-6mdk
- CVS update: 
    - new printer properties viewing ("Printer" tab of main window)
    - printer properties editing

* Thu Aug 31 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.8-5mdk
- CVS update: New icons for default printers

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-4mdk
- Updated for new kdelibs

* Tue Aug 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8-3mdk
- Updated for new kdelibs

* Sat Aug 26 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.8-2mdk
- Removed hardcoded architecture-specific flags, used macros instead
- CVS update: Confirm dialog on printer removing, new printer/job icons, 
  new context menues, bug fixes

* Fri Aug 25 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.8-1mdk
- initial release
